<?php
	$debug=false;
	if(!function_exists("password_hash") && file_exists("../backend/password.php"))
	{
		$debug=true;
		include("../backend/password.php");
	}
	
	function test()
	{
		if(file_exists("../backend/password.php"))
		{
			return true;
		}
		return false;
	}
	
	function postprocessor_run()
	{
		if($debug === true)
		{
			//Nothing required
			return true;
		}
		if(test() === false)
		{
			//Include doesn't exist
			return -183;
		}
		if(!function_exists("password_hash"))
		{
			//Include didn't work
			return -283;
		}
		//Hash the default password
		$newpass=base64_encode(password_hash("admin",PASSWORD_DEFAULT));
		//Write the new password
		$fh=fopen("../backend/password.txt",'w');
		if($fh)
		{
			fwrite($fh,$newpass);
			echo("Password is reset to default. ");
			fclose($fh);
			return true;
		}
		else
		{
			//Could not write new password
			echo("Cannot reset password. You will be locked out if you log out. ");
			return -282;
		}
		//Shouldn't get here, but just in case
		return -300;
	}
?>